Subject: bug#10159: Segfault with auto-complete package

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2012 18:58:54 +0300

> Date: Thu, 26 Jul 2012 14:58:23 +0200
> From: Toon Claes <[email-masked]>
> 
> Recently my emacs crashes often when I am using auto-complete.
> 
> 
> Only one time I got a crash at: 
> 
> Program received signal SIGSEGV,
> Segmentation fault.
> 0x0824329e in composition_compute_stop_pos
> (cmp_it=0xbfffb700, charpos=26, bytepos=30, endpos=33, string=153926225)
> at /home/tokdev/src/emacs/bzr/src/composite.c:1067
> 1067 elt = XCAR
> (val); 
> 
> But most of the time, the crash occurs at: 
> 
> Program received
> signal SIGSEGV, Segmentation fault.
> 0x080f6f10 in char_table_ref
> (table=139304725, c=4194761) at
> /home/tokdev/src/emacs/bzr/src/chartab.c:237
> 237 if (SUB_CHAR_TABLE_P
> (val))
> 
> And the backtrace is below. 
> 
> If I need to provide any other
> information, please let me know what I should do. 

Please provide all the information collected by "M-x report-emacs-bug".

The original report in this bug was filed long ago, against a pretest
version of Emacs 24.1.  So the data reported there regarding the Emacs
version and the environment is not necessarily relevant for your
situation.  So please provide your information.